# Gtk::Menu_Helpers::Element Class Reference

Inherited by Gtk::Menu_Helpers::CheckMenuElem, Gtk::Menu_Helpers::ImageMenuElem, Gtk::Menu_Helpers::MenuElem, Gtk::Menu_Helpers::RadioMenuElem, Gtk::Menu_Helpers::SeparatorElem, Gtk::Menu_Helpers::StockMenuElem, and Gtk::Menu_Helpers::TearoffMenuElem.

Collaboration diagram for Gtk::Menu_Helpers::Element:
[legend]

List of all members.

## Public Types

typedef sigc::slot< void > | CallSlot

## Public Member Functions

| Element ()
| Element (MenuItem& child)
| ~Element ()
const Glib::RefPtr< MenuItem >& | get_child () const

## Protected Member Functions

void | set_child (MenuItem* pChild)
void | set_accel_key (const AccelKey& accel_key)

## Protected Attributes

Glib::RefPtr< MenuItem > | child_

## Member Typedef Documentation

typedef sigc::slot<void> Gtk::Menu_Helpers::Element::CallSlot

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::Element::Element | ( |  | ) |

Gtk::Menu_Helpers::Element::Element | ( | MenuItem& | child | ) |

Gtk::Menu_Helpers::Element::~Element | ( |  | ) |

## Member Function Documentation

const Glib::RefPtr<MenuItem>& Gtk::Menu_Helpers::Element::get_child | ( |  | ) | const

void Gtk::Menu_Helpers::Element::set_accel_key | ( | const AccelKey& | accel_key | ) | `[protected]`

void Gtk::Menu_Helpers::Element::set_child | ( | MenuItem* | pChild | ) | `[protected]`

## Member Data Documentation

Glib::RefPtr<MenuItem> Gtk::Menu_Helpers::Element::child_`[protected]`

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h